package com.cim.idm.wmspackage.product.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductHistory extends FieldAccessor implements DataInfo<ProductHistoryKey> {

	private ProductHistoryKey key;
	
	private String productionType;
	private String productSpecName;
//	private String oldPackingGroupName;
//	private String packingGroupName;
	private String productPackingName;
	private String oldProductPackingName;
	private String productType;
	private long   oldProductQuantity;
	private long   productQuantity;
	private String productGrade;
	private String productState; //A product state. [Created|Stocked|Scrapped|Shipped]
	private String oldProductState;
	private String productHoldState;
	private String productProcessGroupName;//Add
	
	private Timestamp createTime;
	private String createUser;
	private Timestamp stockInTime;
	private String stockInUser;
	
	private String sourceProductName;
	private String destinationProductName;
	
	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	private String reasonCodeType;
	private String reasonCode;
	
	@Override
	public ProductHistoryKey getKey() {
		return key;
	}

	@Override
	public void setKey(ProductHistoryKey keyInfo) {
		this.key = keyInfo;
		
	}

	public String getProductionType() {
		return productionType;
	}

	public void setProductionType(String productionType) {
		this.productionType = productionType;
	}

	public String getProductSpecName() {
		return productSpecName;
	}

	public void setProductSpecName(String productSpecName) {
		this.productSpecName = productSpecName;
	}

//	public String getOldPackingGroupName() {
//		return oldPackingGroupName;
//	}
//
//	public void setOldPackingGroupName(String oldPackingGroupName) {
//		this.oldPackingGroupName = oldPackingGroupName;
//	}
//
//	public String getPackingGroupName() {
//		return packingGroupName;
//	}
//
//	public void setPackingGroupName(String packingGroupName) {
//		this.packingGroupName = packingGroupName;
//	}

	public String getProductPackingName() {
		return productPackingName;
	}

	public void setProductPackingName(String productPackingName) {
		this.productPackingName = productPackingName;
	}

	public String getOldProductPackingName() {
		return oldProductPackingName;
	}

	public void setOldProductPackingName(String oldProductPackingName) {
		this.oldProductPackingName = oldProductPackingName;
	}

	public String getProductType() {
		return productType;
	}

	public void setProductType(String productType) {
		this.productType = productType;
	}

	public long getOldProductQuantity() {
		return oldProductQuantity;
	}

	public void setOldProductQuantity(long oldProductQuantity) {
		this.oldProductQuantity = oldProductQuantity;
	}

	public long getProductQuantity() {
		return productQuantity;
	}

	public void setProductQuantity(long productQuantity) {
		this.productQuantity = productQuantity;
	}

	public String getProductGrade() {
		return productGrade;
	}

	public void setProductGrade(String productGrade) {
		this.productGrade = productGrade;
	}

	public String getProductState() {
		return productState;
	}

	public void setProductState(String productState) {
		this.productState = productState;
	}

	public String getOldProductState() {
		return oldProductState;
	}

	public void setOldProductState(String oldProductState) {
		this.oldProductState = oldProductState;
	}

	public String getProductHoldState() {
		return productHoldState;
	}

	public void setProductHoldState(String productHoldState) {
		this.productHoldState = productHoldState;
	}
	
	public String getProductProcessGroupName() {
		return productProcessGroupName;
	}

	public void setProductProcessGroupName(String productProcessGroupName) {
		this.productProcessGroupName = productProcessGroupName;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public Timestamp getStockInTime() {
		return stockInTime;
	}

	public void setStockInTime(Timestamp stockInTime) {
		this.stockInTime = stockInTime;
	}

	public String getStockInUser() {
		return stockInUser;
	}

	public void setStockInUser(String stockInUser) {
		this.stockInUser = stockInUser;
	}

	public String getSourceProductName() {
		return sourceProductName;
	}

	public void setSourceProductName(String sourceProductName) {
		this.sourceProductName = sourceProductName;
	}

	public String getDestinationProductName() {
		return destinationProductName;
	}

	public void setDestinationProductName(String destinationProductName) {
		this.destinationProductName = destinationProductName;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	public Timestamp getEventTime() {
		return eventTime;
	}

	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}

	public String getEventUser() {
		return eventUser;
	}

	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}

	public String getEventComment() {
		return eventComment;
	}

	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	
}
